From 23873bbf32740b0f78f2102eb615e6a6aa615b8c Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sun, 5 Jan 2020 19:39:29 -0600
Subject: [PATCH v2] [doc] alter table references bogus table-specific planner
 parameters

https://commitfest.postgresql.org/27/2417/
Fixes for commit 6f3a13ff
Should backpatch to v10.
---
 doc/src/sgml/ref/alter_table.sgml | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

diff --git a/doc/src/sgml/ref/alter_table.sgml b/doc/src/sgml/ref/alter_table.sgml
index bae6e6a..67eddfb 100644
--- a/doc/src/sgml/ref/alter_table.sgml
+++ b/doc/src/sgml/ref/alter_table.sgml
@@ -714,9 +714,7 @@ WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
      <para>
       <literal>SHARE UPDATE EXCLUSIVE</literal> lock will be taken for
       fillfactor, toast and autovacuum storage parameters, as well as the
-      following planner related parameters:
-      <varname>effective_io_concurrency</varname>, <varname>parallel_workers</varname>, <varname>seq_page_cost</varname>,
-      <varname>random_page_cost</varname>, <varname>n_distinct</varname> and <varname>n_distinct_inherited</varname>.
+      <varname>parallel_workers</varname> planner parameter.
      </para>
     </listitem>
    </varlistentry>
-- 
2.7.4

